:host {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  &.is-mobile .admin-toolbar {
    position: fixed;
    /* Make sure the toolbar will stay on top of the content as it scrolls past. */
    z-index: 2;
  }

  &.is-mobile .sidenav-container {
    /* When the sidenav is fixed, don't constrain the height of the sidenav container. This allows the
       `<body>` to be our scrolling element for mobile layouts. */
    flex: 1 0 auto;
  }

  .admin-toolbar {
    display: flex;
    justify-content: space-between;
    align-content: center;

    .admin-toolbar__right {
      display: flex;
      gap: 1rem;
    }
  }

  .sidenav-container {
    /* When the sidenav is not fixed, stretch the sidenav container to fill the available space. This
       causes `<mat-sidenav-content>` to act as our scrolling element for desktop layouts. */
    flex: 1;

    &.mobile-view {
      margin-top: var(--mat-toolbar-mobile-height);
    }
  }

  .sidenav {
    min-width: 250px;
  }
}



